Package docking.help

# Class DockingHelpBroker

java.lang.Object
javax.help.DefaultHelpBroker
help.GHelpBroker
docking.help.DockingHelpBroker

All Implemented Interfaces:
  `KeyListener`, `EventListener`, `javax.help.HelpBroker`

public class DockingHelpBroker extends GHelpBroker
An extension of the `GHelpBroker` that allows `Docking` classes to be installed.

Additions include a search feature a navigation aid.

- ## Field Summary

  ### Fields inherited from class help.GHelpBroker

  `htmlEditorPane`

  ### Fields inherited from class javax.help.DefaultHelpBroker

  `displayHelpFromFocus, displayHelpFromSource`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DockingHelpBroker(javax.help.HelpSet hs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected List<Image>`
  `getApplicationIcons()`
  `protected javax.help.HelpModel`
  `getCustomHelpModel()`
  `protected void`
  `installActions(javax.help.JHelp help)`
  `protected void`
  `installHelpSearcher(javax.help.JHelp jHelp, javax.help.HelpModel helpModel)`
  `protected void`
  `reloadHelpPage(URL url)`
  `protected void`
  `showNavigationAid(URL url)`

  ### Methods inherited from class help.GHelpBroker

  `addCustomToolbarItems, reload, setActivationWindow, setCurrentURL, setDisplayed`

  ### Methods inherited from class javax.help.DefaultHelpBroker

  `enableHelp, enableHelp, enableHelpKey, enableHelpKey, enableHelpOnButton, enableHelpOnButton, enableHelpOnButton, getCurrentID, getCurrentURL, getCurrentView, getDisplayHelpFromFocus, getDisplayHelpFromSource, getFont, getHelpSet, getLocale, getLocation, getScreen, getSize, getWindowPresentation, initPresentation, isDisplayed, isViewDisplayed, keyPressed, keyReleased, keyTyped, setActivationObject, setCurrentID, setCurrentID, setCurrentView, setFont, setHelpSet, setHelpSetPresentation, setLocale, setLocation, setScreen, setSize, setViewDisplayed, showID, showID`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DockingHelpBroker

    public DockingHelpBroker(javax.help.HelpSet hs)

- ## Method Details

  - ### getApplicationIcons

    protected List<Image> getApplicationIcons()
    Overrides:
      `getApplicationIcons` in class `GHelpBroker`

  - ### getCustomHelpModel

    protected javax.help.HelpModel getCustomHelpModel()
    Overrides:
      `getCustomHelpModel` in class `GHelpBroker`

  - ### installHelpSearcher

    protected void installHelpSearcher(javax.help.JHelp jHelp, javax.help.HelpModel helpModel)
    Overrides:
      `installHelpSearcher` in class `GHelpBroker`

  - ### showNavigationAid

    protected void showNavigationAid(URL url)
    Overrides:
      `showNavigationAid` in class `GHelpBroker`

  - ### installActions

    protected void installActions(javax.help.JHelp help)
    Overrides:
      `installActions` in class `GHelpBroker`

  - ### reloadHelpPage

    protected void reloadHelpPage(URL url)
    Overrides:
      `reloadHelpPage` in class `GHelpBroker`